Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.remote
Class JDOCommandIO

    java.lang.Object
      |
      +--com.solarmetric.remote.CommandIO
            |
            +--kodo.remote.JDOCommandIO

public synchronized class JDOCommandIO
extends CommandIO

Field Summary
`static byte` | `BEGIN`
`static byte` | `CANCEL_ALL`
`static byte` | `CHANGE_SETTINGS`
`static byte` | `CLOSE`
`static byte` | `COMMIT`
`static byte` | `COMPARE_VERSION`
`static byte` | `COPY_DATASTORE_ID`
`static byte` | `DATASTORE_ID_CLASS`
`static byte` | `EXISTS`
`static byte` | `EXTENT_RESULT`
`static byte` | `FLUSH`
`static byte` | `GET_NEXT_SEQUENCE`
`static byte` | `LOAD`
`static byte` | `LOCK`
`static byte` | `MAKE_PERSISTENT`
`static byte` | `NEW_DATASTORE_ID`
`static byte` | `NEW_PM`
`static byte` | `PC_CLASS`
`static byte` | `QUERY_RESULT`
`static byte` | `RESULT_SIZE`
`static byte` | `ROLLBACK`

Constructor Summary
`JDOCommandIO(ClientConfiguration)`
`JDOCommandIO(KodoPersistenceManagerFactory)`

Method Summary
`protected ObjectInput` | `getObjectInput(InputStream)` Create an `ObjectInput` instance from the given stream.
`kodo.remote.RemotePCDataGenerator` | `getPCDataGenerator()`
`protected Command` | `readType(ObjectInput)` Read the command type from the given stream and return a new command of the proper type.
`protected void` | `writeType(Command, ObjectOutput)` Write the type of this command to the given stream so that `readType(java.io.ObjectInput)` will be able to reconstruct the command.

Methods inherited from class com.solarmetric.remote.CommandIO
`execute, getContextFactory, getLog, getObjectOutput, getStreamDecorators, send, setContextFactory, setLog, setStreamDecorators, test`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEGIN

    public static final byte BEGIN

### CHANGE_SETTINGS

    public static final byte CHANGE_SETTINGS

### CLOSE

    public static final byte CLOSE

### COMMIT

    public static final byte COMMIT

### COMPARE_VERSION

    public static final byte COMPARE_VERSION

### COPY_DATASTORE_ID

    public static final byte COPY_DATASTORE_ID

### DATASTORE_ID_CLASS

    public static final byte DATASTORE_ID_CLASS

### EXISTS

    public static final byte EXISTS

### FLUSH

    public static final byte FLUSH

### LOAD

    public static final byte LOAD

### MAKE_PERSISTENT

    public static final byte MAKE_PERSISTENT

### NEW_DATASTORE_ID

    public static final byte NEW_DATASTORE_ID

### NEW_PM

    public static final byte NEW_PM

### PC_CLASS

    public static final byte PC_CLASS

### ROLLBACK

    public static final byte ROLLBACK

### EXTENT_RESULT

    public static final byte EXTENT_RESULT

### QUERY_RESULT

    public static final byte QUERY_RESULT

### RESULT_SIZE

    public static final byte RESULT_SIZE

### GET_NEXT_SEQUENCE

    public static final byte GET_NEXT_SEQUENCE

### CANCEL_ALL

    public static final byte CANCEL_ALL

### LOCK

    public static final byte LOCK

Constructor Detail

### JDOCommandIO

    public JDOCommandIO(KodoPersistenceManagerFactory)

### JDOCommandIO

    public JDOCommandIO(ClientConfiguration)

Method Detail

### getPCDataGenerator

    public kodo.remote.RemotePCDataGenerator getPCDataGenerator()

### getObjectInput

    protected ObjectInput getObjectInput(InputStream)
                                  throws Exception

  Description copied from class: `CommandIO`
  Create an `ObjectInput` instance from the given stream. This default implementation uses a standard `ObjectInputStream`.
  Overrides:
    `getObjectInput` in class `CommandIO`

### readType

    protected Command readType(ObjectInput)
                        throws Exception

  Description copied from class: `CommandIO`
  Read the command type from the given stream and return a new command of the proper type. By default, this method assumes the next item in the stream is a class name.
  Overrides:
    `readType` in class `CommandIO`

### writeType

    protected void writeType(Command,
                             ObjectOutput)
                      throws Exception

  Description copied from class: `CommandIO`
  Write the type of this command to the given stream so that `CommandIO.readType(java.io.ObjectInput)` will be able to reconstruct the command. By default, this method writes the command class name to the stream.
  Overrides:
    `writeType` in class `CommandIO`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.